Bug 96425 - [UPDATE]: net/netdude and it's 2 related ports.
Summary: [UPDATE]: net/netdude and it's 2 related ports.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-27 19:20 UTC by Wesley Shields
Modified: 2006-04-29 10:47 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (8.90 KB, patch)
2006-04-27 19:20 UTC, Wesley Shields
no flags Details | Diff
file.diff (15.47 KB, patch)
2006-04-27 19:20 UTC, Wesley Shields
no flags Details | Diff
file.diff (3.34 KB, patch)
2006-04-27 19:20 UTC, Wesley Shields
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wesley Shields 2006-04-27 19:20:04 UTC
net/netdude, net/libnetdude, and net/libpcapnav are all out of date.
The attached patches update the ports and change maintainership to me
(this has been discussed with the current maintainer).

The patches also cleanup the pkg-plist and please portlint.  They also
remove USE_REINPLACE, which AFAIK is not needed anymore?

I've CC'ed the maintainer on this.

Fix: --------------------------- BEGIN NETDUDE PATCH ---------------------
--------------------------- BEGIN LIBNETDUDE PATCH ------------------
--------------------------- BEGIN LIBPCAPNAV PATCH ------------------
How-To-Repeat: N/A
Comment 1 Edwin Groothuis freebsd_committer 2006-04-27 19:24:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Yann Berthier 2006-04-28 15:42:54 UTC
On Thu, 27 Apr 2006, at 18:24, Edwin Groothuis wrote:

> Maintainer of net/netdude,
> 
> Please note that PR ports/96425 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/96425

   Yes please, commit - and the submitter kindly agreed to take care of
   the port from now on

   Thnaks,

      - yann
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2006-04-28 18:00:47 UTC
State Changed
From-To: feedback->open

Maintainer approved and recommended assignment of the port to submitter.
Comment 4 Pav Lucistnik freebsd_committer 2006-04-29 10:46:16 UTC
State Changed
From-To: open->closed

Committed, thanks! 

Yes, USE_REINPLACE is now always assumed. 

I think you should not be adding those USE_LIBTOOL_VER lines. 
First, all these ports have it's own libtool included, second, 
the current format of writing external libtool dep is USE_AUTOTOOLS.